cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rohit Yadav <rohit.ya...@shapeblue.com>
Subject Re: [DISCUSS] drop support for CentOS6 with 4.10
Date Tue, 11 Jul 2017 12:05:09 GMT
Will, I'll be on holidays next week and have tight schedules this month. I'll ping Paul if
he has bandwidth to contribute them.


- Rohit

________________________________
From: Will Stevens <williamstevens@gmail.com>
Sent: 11 July 2017 16:41:41
To: dev@cloudstack.apache.org
Subject: Re: [DISCUSS] drop support for CentOS6 with 4.10

Pierre-Luc is asking because he has been the only person contributing to
the upgrade documentation released with the new releases since around 4.4.

Rohit, would you be able to contribute an upgrade path for CentOS6
installations in the documentation for the 4.10 release?

On Jul 11, 2017 5:59 AM, "Rohit Yadav" <rohit.yadav@shapeblue.com> wrote:

> PL - yes Trillian has tested with CentOS6 + JDK8 with 4.10.0.0/master+.
>
> JRE/JDK8 are available in additional repositories on CentOS6 so at least
> for 4.10.0.0 (already votes, to be announced) we cannot deprecate it.
> However, we can discuss that for 4.11.0.0 and onwards. However, I think
> unless we're breaking major compatibilities such as API, upgrades etc. we
> should not call the next release 5.x.
>
>
> - Rohit
>
> ________________________________
> From: Pierre-Luc Dion <pdion891@apache.org>
> Sent: 10 July 2017 18:51:33
> To: dev@cloudstack.apache.org
> Subject: Re: [DISCUSS] drop support for CentOS6 with 4.10
>
> In this case, if we say 4.10.0.0 can be install on centos6 it mean we need
> to provide some instruction on how to install it, and is there anyone that
> tested 4.10 packages on CentOS6 ?
>
> Cheers,
>
> On Mon, Jul 10, 2017 at 3:03 AM, Paul Angus <paul.angus@shapeblue.com>
> wrote:
>
> > I would suggest that this would justify a 5.0 release.. might be a good
> > time to get in any other major changes....
> >
> >
> >
> > Kind regards,
> >
> > Paul Angus
> >
> > paul.angus@shapeblue.com
> > www.shapeblue.com<http://www.shapeblue.com>
> > 53 Chandos Place, Covent Garden, London  WC2N 4HSUK
> > @shapeblue
> >
> >
> >
> >
> > -----Original Message-----
> > From: Pierre-Luc Dion [mailto:pdion891@apache.org]
> > Sent: 09 July 2017 13:46
> > To: dev@cloudstack.apache.org
> > Subject: [DISCUSS] drop support for CentOS6 with 4.10
> >
> > Since 4.10 require JDK8, should we drop support for CentOS 6 as OS for
> > management-server and usage ?
> >
> > all the Upgrade path tests I've made was by creating new management
> server
> > on CentOS 7 that have updated tomcat and openJDK 8.  our packages (RPMs)
> > install well on centos7 and I'm not away somebody test them on centos6.
> >
> > Should we call a vote on this?  I'm writing the upgrade part of the
> > release notes and I would focus on centos7 only. we should also update
> our
> > Quick Install Guide...
> >
> >
> > Thanks,
> >
> > PL
> >
>
> rohit.yadav@shapeblue.com
> www.shapeblue.com<http://www.shapeblue.com>
> 53 Chandos Place, Covent Garden, London  WC2N 4HSUK
> @shapeblue
>
>
>
>

rohit.yadav@shapeblue.comĀ 
www.shapeblue.com
53 Chandos Place, Covent Garden, London  WC2N 4HSUK
@shapeblue
  
 

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message